commit dc2309791851ff61712694ab58eafa35d1a2300f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 16 15:43:55 2009 -0600

    Fix imap-filter.c for older compilers
    
    There was a C99 type variable initialization in filter_server_data that
    came after another statement.  New compilers handle this, but old ones
    choke.

 imap-filter.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f58097018937dbd09dec3b86e95a60b4375b9295
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 16 15:02:29 2009 -0600

    Fix the man page for ucspi-proxy to match current usage

 ucspi-proxy.1 |   38 ++++++++++++++++++++++++++++++++------
 1 files changed, 32 insertions(+), 6 deletions(-)

commit 600e21cffe2f08c98012b3db82d65189f97435e4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Nov 16 14:08:57 2009 -0600

    Support both UCSPI client and internal TCP connection

 NEWS          |    3 +++
 ucspi-proxy.c |   17 +++++++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 35a6a54af98261b732dfbda8f034171cfb8cbb5a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 6 10:54:38 2009 -0600

    Merged the POP3 and IMAP auth filter functions.

 auth-lib.c         |  106 +++++++++++++++++++++++++++++++++++++++++++++++++
 auth-lib.h         |   13 ++++++
 imap-filter.c      |  111 +++++++---------------------------------------------
 pop3-filter.c      |  111 +++++++--------------------------------------------
 ucspi-proxy-imap=x |    1 +
 ucspi-proxy-pop3=x |    1 +
 6 files changed, 151 insertions(+), 192 deletions(-)
 create mode 100644 auth-lib.c
 create mode 100644 auth-lib.h

commit a1ad991f1f884e6ee727d09316ddaec4c6fa15ba
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 6 10:54:27 2009 -0600

    Added note about IMAP additions in the NEWS.

 NEWS |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit dc394846cb5a76ec0a1835869be6513437b2a3f2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Mar 6 10:53:32 2009 -0600

    Fixed NULL pointer dereference when accepting relay clients with unknown username.

 relay-filter.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 4384fb2e22200a8ecbddfe8e220e357ea5229ab1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 5 19:52:49 2009 -0600

    Added the AUTHENTICATE LOGIN/PLAIN handling from pop3-filter to imap-filter

 imap-filter.c |  102 +++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 77 insertions(+), 25 deletions(-)

commit d69e45f3aeb8c8801c419e9c3d17629c1dc68c6c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 5 16:27:08 2009 -0600

    Break up filter_client_line into subroutines in imap-filter

 imap-filter.c |   94 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 54 insertions(+), 40 deletions(-)

commit cdc3c1db667deacd3db9afcc023b8f05d81e1237
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 4 21:14:29 2009 -0600

    Reordered the IMAP filter to make sure auth responses get handled.

 imap-filter.c |   40 +++++++++++++++++++++-------------------
 1 files changed, 21 insertions(+), 19 deletions(-)

commit 2a9a8f1bb00e41fe4c8077ea42ff712311e2b049
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 4 16:16:33 2009 -0600

    Switch the IMAP filter to line buffer the client input, like the POP filter.

 imap-filter.c |   91 +++++++++++++++++++++++++++++++++------------------------
 1 files changed, 53 insertions(+), 38 deletions(-)

commit 3aaac6ca1ca723a24e714859e4c75e9c6e3030f0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 25 09:58:34 2009 -0600

    Undo the previous strict single-space changes to pop3-filter.
    
    This makes the parser more resilient to whitespace abuse or attacks.

 pop3-filter.c |   24 ++++++++++++++++--------
 1 files changed, 16 insertions(+), 8 deletions(-)

commit 0e599de67a1623073a04fba81ead21e444196512
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 25 09:57:28 2009 -0600

    Be a little pickier with decoding base64 data.
    
    Data must end either at the end of size bytes, or with a newline.

 base64.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit c6a74266edc2d572c2001b2e52f1ff4fda32de12
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Feb 25 09:36:03 2009 -0600

    Fix handling of the command "AUTH " in pop3-filter.
    
    The logic would think this was the start of an authentication command,
    and set the state appropriately, but never get a valid username.  When
    the +OK was received from the server, this would cause a crash due to
    the username being NULL.

 pop3-filter.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 1b50da5af9dc585fc85bc3479ffb1048bff17ccc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 21:57:56 2009 -0600

    Moved some character constants into the header file.

 http-xlate-filter.c |    5 +----
 pop3-filter.c       |    6 ------
 ucspi-proxy.h       |    8 ++++++++
 3 files changed, 9 insertions(+), 10 deletions(-)

commit b595c94c4ad71c17d9ae60f8a0743f596a301642
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 16:48:44 2009 -0600

    Simplify the POP3 logic a bit.
    
    POP3 parameters must be separated by a single space.  Skipping multiple
    whitespace characters is completely unnecessary.

 pop3-filter.c |   31 +++++++------------------------
 1 files changed, 7 insertions(+), 24 deletions(-)

commit 6e410048870f2a968619dca73dad75b99a57c81b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 16:39:10 2009 -0600

    Added note about POP3 AUTH changes to NEWS.

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c0f73752b0981d40850580a3f55ee1801ba5020f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 16:38:28 2009 -0600

    Bumped version to 0.98

 NEWS    |    5 +++++
 VERSION |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 4a7cf7ef034b9e910cb2de1246c72cd16d49f3b5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 16:37:53 2009 -0600

    Handle POP3 AUTH LOGIN and PLAIN initial responses.

 pop3-filter.c |   52 ++++++++++++++++++++++++++++++++--------------------
 1 files changed, 32 insertions(+), 20 deletions(-)

commit 145506a452980a7e6172063ae173026c6da9f9b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 16:33:41 2009 -0600

    Handle recoding the user name in POP3 AUTH LOGIN and PLAIN responses.

 base64.c      |    5 ++
 pop3-filter.c |  114 +++++++++++++++++++++++++++++++++++++++++++++-----------
 ucspi-proxy.h |    1 +
 3 files changed, 97 insertions(+), 23 deletions(-)

commit bd5476621a31df65d7bca817f1baad9176c71d3a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 15:55:25 2009 -0600

    Converted the POP3 filter to fully handle split/merged lines from the client.

 pop3-filter.c |   62 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 35 insertions(+), 27 deletions(-)

commit f0039c42fdb253a6fc0d0201f72fae05ecfb09ae
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 14:42:29 2009 -0600

    Added base64 to the ucspi-proxy.a library.

 base64.c           |    2 ++
 imap-filter.c      |    2 --
 pop3-filter.c      |    2 --
 ucspi-proxy-imap=x |    1 -
 ucspi-proxy-pop3=x |    1 -
 ucspi-proxy.h      |    5 +++++
 ucspi-proxy=l      |    3 ++-
 7 files changed, 9 insertions(+), 7 deletions(-)

commit d37bc1a25fcbcc77c928256a756627bc84eba1e8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 14:38:53 2009 -0600

    Switch base64 decoding to use parts of bglibs' base64 code.

 base64.c |   46 +++++++++++-----------------------------------
 1 files changed, 11 insertions(+), 35 deletions(-)

commit 86899d693ad8fa3619427ff8b6e0eb931b8e6165
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 14:23:21 2009 -0600

    Switch base64decode to send output to a str.

 base64.c      |   19 +++++++++----------
 imap-filter.c |    8 ++++----
 pop3-filter.c |    6 +++---
 3 files changed, 16 insertions(+), 17 deletions(-)

commit 91b44bb6299e5ad1d30a7b0dc4cf88f9223fb72f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 14:23:15 2009 -0600

    Ignore generated files.

 .gitignore |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)
 create mode 100644 .gitignore

commit be14c6c71b10e2d3bec1f45ef68e1316332fbd5c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 14:22:24 2009 -0600

    Update the README file.

 README.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ad382ecd1e852c9bf9028a6b54455b37ff3ae850
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 13:13:49 2009 -0600

    Fix two unused argument warnings.

 log-filter.c  |    1 +
 null-filter.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit eb22e93b1d099f890f131cdc72e5a7786cca3805
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Feb 24 13:01:48 2009 -0600

    Added missing ucspi-proxy=l file.

 ucspi-proxy=l |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)
 create mode 100644 ucspi-proxy=l

commit 047c65419ed24e6a0ec480fd9b57c7b1b6b6aaeb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Dec 18 06:07:35 2006 +0000

    Tagged version 0.97

commit c2b30f1d60a6f7c14a78eb208f7f3b9355b08fbf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Dec 18 05:43:47 2006 +0000

    Minor tweaks to the README and spec.

 README.in |    2 +-
 spec      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d9f29d4c4a1032bee00da731e0c16bee523d4e9b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Dec 18 05:42:14 2006 +0000

    Export $USER and $DOMAIN when invoking relay-ctrl.

 NEWS           |    1 +
 relay-filter.c |   33 ++++++++++++++++++++++++++++++++-
 2 files changed, 33 insertions(+), 1 deletions(-)

commit d8d71979496cd89875ed4a4dfe3e33fd3d2ecf32
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Dec 18 05:25:46 2006 +0000

    Bumped version to 0.97

 NEWS    |    6 ++++++
 VERSION |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 89cde797020d94acfa0f479b6befbceb46ec2141
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:57:19 2005 +0000

    Fixed install mechanism in spec.

 spec |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit f22f65856d49826a4670e4f14cae9ce8ab76d965
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:54:43 2005 +0000

    Fixed type ${_tmppath} to %{_tmppath} in spec.

 spec |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a46b8047bcaba7ae1c97187697388604d547348f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:53:39 2005 +0000

    Removed TODO note about catching SIGCHLD, since we already do it.

 TODO |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 936d6b121f73b10d289e9753b04ffc0ed3cb31db
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:51:30 2005 +0000

    Added note about bglibs requirement.

 README.in |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e7a5edc479d9641b93c8415e349f9d6f5f0a1bbf
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:50:57 2005 +0000

    Removed extraneous alarm catch call in relay-filter.c

 relay-filter.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit ec261382ba662317c8331f5666de2058df587573
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:24:40 2005 +0000

    Renamed some parameters to avoid global-local name conflicts.

 http-xlate-filter.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 036e77834294f6ccddc977c300b776e7db075ff2
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:22:15 2005 +0000

    Updated email addresses, copyright year, requirements, etc.

 README.in |    4 ++--
 TODO      |    4 ++++
 spec      |    8 ++++----
 3 files changed, 10 insertions(+), 6 deletions(-)

commit 9006ca497a1b5d0cb2ee22217f636fd774522521
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Aug 18 18:18:24 2005 +0000

    Switched to new bg-installer install mechanism.

 INSTHIER   |   10 ++++++++++
 insthier.c |   18 ------------------
 2 files changed, 10 insertions(+), 18 deletions(-)
 create mode 100644 INSTHIER
 delete mode 100644 insthier.c

commit 27cc56eaa65d4ca3ec39299786ac5038045ad746
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 6 03:33:41 2004 +0000

    Make note that the command is optional in the command-line usage.

 ucspi-proxy-imap.c |    2 +-
 ucspi-proxy-pop3.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ff56668bbae23cb6931256fbe9d2565a7c650604
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 6 03:32:39 2004 +0000

    Run the command in the background (instead of waiting for it) in case it
    takes non-trivial time to exit.

 relay-filter.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 603558189502f8234f5a648d6ab47a04a96428b7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Mar 6 03:05:48 2004 +0000

    use iopoll_restart to make sure errant signals don't kill the proxy.

 ucspi-proxy.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3e3e106b05daba07b2f609a509da7301c3ebc511
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Mar 3 16:43:48 2004 +0000

    Since the server socket is opened in non-blocking mode, make sure to
    poll for writeability before actually writing.  This fixes problems with
    uploading large messages to slow IMAP servers.

 ucspi-proxy.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 0bd17fc6e3b8cd42cd7be875504d5cc6f885ea80
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 20:43:00 2004 +0000

    Always show the byte counts on exit.

 ucspi-proxy.c |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)

commit 97aa0888abb94405b4e75ddfe876f9df0c569746
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 20:42:38 2004 +0000

    Make write_client and write_server use a common retry write function.

 ucspi-proxy.c |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit 7cfb12a32aa2e88c3186aa951d52607e122112dc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 20:27:20 2004 +0000

    Changes to messages:
    1) always show error messages
    2) give filters appropriate names

 ucspi-proxy.c |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit f818fda673db25171b0e3e9880f608c67fe691e6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 20:15:49 2004 +0000

    Only emit the relay messages if opt_verbose is set.

 relay-filter.c |   23 ++++++++++++++---------
 1 files changed, 14 insertions(+), 9 deletions(-)

commit 12d4c874d860f1550ca3eb9bd678e5f57b7dec54
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 19:00:29 2004 +0000

    Changed name and semantics of add_filter to set_filter (replace if exists).

 ftp-filter.c        |    8 ++++----
 http-xlate-filter.c |    4 ++--
 imap-filter.c       |    4 ++--
 log-filter.c        |    4 ++--
 null-filter.c       |    4 ++--
 pop3-filter.c       |    4 ++--
 relay-filter.c      |    6 ++----
 ucspi-proxy.c       |   15 ++++++++++++++-
 ucspi-proxy.h       |    2 +-
 9 files changed, 31 insertions(+), 20 deletions(-)

commit ea621c0a1289594855993ce91e546e12d3048869
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 17:42:55 2004 +0000

    Fixed up what really needs to be done.

 TODO |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8613f970a8115d9e61b99aa2f7f7ecc4cbfe0a87
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 17:15:41 2004 +0000

    Provide better byte counters.

 ucspi-proxy.c |   31 ++++++++++++++++++++++---------
 1 files changed, 22 insertions(+), 9 deletions(-)

commit c7805de295e0c4f921df8634b95265a9765c86a3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 06:20:36 2004 +0000

    Converted opt_verbose to a counter instead of just a flag.

 ucspi-proxy.c |    4 ++--
 ucspi-proxy.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit db2fc64ac9637a6f7e5a0299026619493c1b97bd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Feb 27 05:38:12 2004 +0000

    Handle quoted usernames.

 imap-filter.c |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

commit 68b1d381d469ef06021d9cfed33986da85889877
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 23:06:41 2004 +0000

    Added missing makedist.py script.

 makedist.py |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 makedist.py

commit c340a07a88df7bc7395349f79b9bb93e1adebb11
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 23:06:26 2004 +0000

    Added manual targets to insthier.

 insthier.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit b471d568c7b773759a5457e28fe2e8ae82819e38
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 23:06:07 2004 +0000

    Modernized spec, including use of installer/instcheck.

 spec |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 3743d6522d087226c8c2bfed4219e3fc7dcadadd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 23:04:30 2004 +0000

    Converted to templated README.

 README => README.in |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)
 rename README => README.in (65%)

commit 37968e55e0572a5ef97a615c6d6afbe9feb23e17
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 17:44:51 2004 +0000

    Replaced usages of stdio with iobuf/fmt/msg calls.

 ftp-filter.c        |   27 +++++++++++++++++++++------
 http-xlate-filter.c |    5 -----
 relay-filter.c      |   15 ++++++---------
 ucspi-proxy.c       |   35 ++++++++++++++++++++++++++---------
 ucspi-proxy.h       |   18 ------------------
 5 files changed, 53 insertions(+), 47 deletions(-)

commit 900b43cc47f867e0d4b9610dbdc1365fbc6c1a02
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Feb 26 17:09:37 2004 +0000

    Switch to use of bglibs 1.015 and libbg.a

 spec                     |    1 +
 ucspi-proxy-http-xlate=x |    6 +-----
 ucspi-proxy-imap=x       |    6 +-----
 ucspi-proxy-log=x        |    6 +-----
 ucspi-proxy-pop3=x       |    6 +-----
 ucspi-proxy=x            |    6 +-----
 6 files changed, 6 insertions(+), 25 deletions(-)

commit 53cb0abd6406ba88a8acdd10fb35473f9eb92058
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 27 17:15:36 2004 +0000

    Since the FD handler function can potentially reorder the filter linked
    list, don't process any FDs after the first ready one.

 ucspi-proxy.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 57f24697c6da29350e3f70af4e641062a5716b5e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 27 17:13:30 2004 +0000

    Use a temporary str buffer to write out the error message all in one go.

 ucspi-proxy-http-xlate=x |    1 +
 ucspi-proxy-log=x        |    1 +
 ucspi-proxy.c            |   11 ++++++++---
 ucspi-proxy=x            |    1 +
 4 files changed, 11 insertions(+), 3 deletions(-)

commit b1f61da426de55432508e522b0dc8f47bb9a771b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 27 16:12:33 2004 +0000

    Look up port names with getservbyname.

 tcp-connect.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit a3d0c594439a1d7f0c19d574a829518ba95c406d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Jan 27 06:03:20 2004 +0000

    Accept timeout as a command-line option instead of env var.

 tcp-connect.c |   12 +-----------
 ucspi-proxy.c |   17 ++++++++++++++---
 ucspi-proxy.h |    2 +-
 3 files changed, 16 insertions(+), 15 deletions(-)

commit d727a2e894a96c2408aa52f26e41b51babe72356
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 23:59:03 2004 +0000

    Take host/port parameters from command-line instead of environment variables.

 ftp-proxy     |    6 +++---
 imap-proxy    |    5 ++---
 log-proxy     |    6 +++---
 pop3-proxy    |    5 ++---
 tcp-connect.c |   22 ++++++----------------
 tcp-proxy     |    6 +++---
 ucspi-proxy.c |    7 +++++--
 ucspi-proxy.h |    2 +-
 8 files changed, 25 insertions(+), 34 deletions(-)

commit a9dcdddd479048c167cd20488ffb1edf9d115127
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 23:36:24 2004 +0000

    Allow specification of a host name instead of just numerical IP through
    $PROXY_CONNECT_HOST.

 tcp-connect.c |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit 742e04a464f2903cd35f8366320298210323404f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 23:05:27 2004 +0000

    Fixed several bugs in handling of the username.

 pop3-filter.c |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit e3f7a705115232454403e3ad11aca24ca56055d1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 22:56:21 2004 +0000

    Added hostname suffixing support to the IMAP proxy.

 NEWS               |    6 +++---
 imap-filter.c      |   21 ++++++++++++++++++---
 ucspi-proxy-imap.c |    6 +++++-
 3 files changed, 26 insertions(+), 7 deletions(-)

commit 288e4deeb3889ea73a0a0cd8edb2465d5082662e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 22:46:37 2004 +0000

    Fixed typo in prototype for pop3_filter_init.

 ucspi-proxy-pop3.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac76e911ac413109b4eca49087077eb99aee17ad
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 22:41:27 2004 +0000

    When the command isn't present, relay_command will be a NULL pointer,
    making this buggy test cause a seg fault.

 relay-filter.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 207fc9001f53e1ceb19a1c3205589f32a9518305
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 22:40:45 2004 +0000

    Make sure to ignore EAGAIN or EINTR errors when reading from a FD.

 ucspi-proxy.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d2465dea39f04da9594cc117c2e1389404a8e4f9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 21:39:40 2004 +0000

    Moved primary initialization routine to main C file.

 imap-filter.c      |    7 +------
 ucspi-proxy-imap.c |   12 ++++++++++++
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 1a6161e520dede71eaca68767b533c9a37599cab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 21:37:37 2004 +0000

    Converted to using string functions instead of manual memory management.

 imap-filter.c      |   44 +++++++++++++++++++-------------------------
 ucspi-proxy-imap=x |    3 ++-
 2 files changed, 21 insertions(+), 26 deletions(-)

commit 3798fdaff18421a576ec0f043606300383250f05
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 21:16:04 2004 +0000

    Renamed imap-relay-filter to imap-filter, and ucspi-proxy-imap-relay to
    just ucspi-proxy-imap.  The username fixups will come as a later step.

 imap-relay-filter.c => imap-filter.c           |    0
 imap-relay-proxy => imap-proxy                 |   11 ++++++-----
 ucspi-proxy-imap-relay.c => ucspi-proxy-imap.c |    0
 ucspi-proxy-imap-relay=x => ucspi-proxy-imap=x |    0
 4 files changed, 6 insertions(+), 5 deletions(-)
 rename imap-relay-filter.c => imap-filter.c (100%)
 rename imap-relay-proxy => imap-proxy (56%)
 rename ucspi-proxy-imap-relay.c => ucspi-proxy-imap.c (100%)
 rename ucspi-proxy-imap-relay=x => ucspi-proxy-imap=x (100%)

commit 0ea3942d24fcb39df21329a7045f56c83f32f07e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 21:11:15 2004 +0000

    Added hostname suffixing support to the POP3 proxy, removing the "relay"
    from the filename since it does more than just relay control now.

 NEWS                                           |    3 +
 pop3-relay-filter.c => pop3-filter.c           |   60 ++++++++++++++---------
 pop3-relay-proxy => pop3-proxy                 |   11 ++--
 ucspi-proxy-pop3-relay.c                       |    4 --
 ucspi-proxy-pop3.c                             |   20 ++++++++
 ucspi-proxy-pop3-relay=x => ucspi-proxy-pop3=x |    3 +-
 6 files changed, 67 insertions(+), 34 deletions(-)
 rename pop3-relay-filter.c => pop3-filter.c (55%)
 rename pop3-relay-proxy => pop3-proxy (56%)
 delete mode 100644 ucspi-proxy-pop3-relay.c
 create mode 100644 ucspi-proxy-pop3.c
 rename ucspi-proxy-pop3-relay=x => ucspi-proxy-pop3=x (77%)

commit f314be6343098d63b29a9ec6bf30d114eded1c71
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 20:18:38 2004 +0000

    Reverted much of the previous relay filter change.  In particular, the
    command now goes on the command line again, but the delay parameter has
    been moved to an environment variable.

 NEWS                     |    2 ++
 imap-relay-filter.c      |    2 +-
 pop3-relay-filter.c      |    2 +-
 relay-filter.c           |   22 +++++++++++-----------
 ucspi-proxy-imap-relay.c |    2 +-
 ucspi-proxy-pop3-relay.c |    2 +-
 ucspi-proxy.h            |    2 +-
 7 files changed, 18 insertions(+), 16 deletions(-)

commit d192e39b4ada450531422150105affc796d19d4c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 19:25:33 2004 +0000

    Introduced a typedef for the filter/eof functions; used that typedef to
    get rid of some erroneous type differences.

 http-xlate-filter.c |    2 +-
 null-filter.c       |    4 ++--
 relay-filter.c      |    4 ++--
 ucspi-proxy.c       |    6 +++---
 ucspi-proxy.h       |    6 ++++--
 5 files changed, 12 insertions(+), 10 deletions(-)

commit 48ba2800a006eebca351804102fc66802862e6f9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Jan 26 18:30:04 2004 +0000

    Modified relay-ctrl to pull its configuration from environment
    variables.

 imap-relay-filter.c      |    7 ++-----
 pop3-relay-filter.c      |    7 ++-----
 relay-filter.c           |   37 ++++++++++++++++++++++++-------------
 ucspi-proxy-imap-relay.c |    2 +-
 ucspi-proxy-pop3-relay.c |    2 +-
 ucspi-proxy.h            |    5 +++++
 6 files changed, 35 insertions(+), 25 deletions(-)

commit 2538c6f2cca9d7dcd8c08ddb1af9c83db6a24abb
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jan 25 05:20:52 2004 +0000

    Added spac version file.

 VERSION |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)
 create mode 100644 VERSION

commit f374d0d43c2761930080cfec45792a5d52147fa7
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jan 25 05:17:00 2004 +0000

    Since tcpclient is no longer overwriting environment variables, the
    relay filter can rely on $TCPREMOTEIP again.

 relay-filter.c           |    5 ++---
 ucspi-proxy-imap-relay.c |    2 +-
 ucspi-proxy-pop3-relay.c |    2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

commit 4d9cf082e85efb3d607dbf4dc07b94fe9a4a497e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jan 25 05:12:19 2004 +0000

    Moved the server connect handler into the proxy program.

 NEWS                     |    4 +++
 ftp-filter.c             |    2 +-
 http-xlate-filter.c      |    6 ++++-
 imap-relay-filter.c      |    5 +++-
 log-filter.c             |    5 +++-
 null-filter.c            |    7 ++++-
 pop3-relay-filter.c      |    5 +++-
 relay-filter.c           |    4 +-
 tcp-connect.c            |   59 ++++++++++++++++++++++++++++++++++++++++++++++
 ucspi-proxy-http-xlate=x |    6 ++++-
 ucspi-proxy-imap-relay=x |    6 ++++-
 ucspi-proxy-log=x        |    6 ++++-
 ucspi-proxy-pop3-relay=x |    6 ++++-
 ucspi-proxy.c            |   35 +++++++++++++++++++++-----
 ucspi-proxy.h            |   14 +++++++---
 ucspi-proxy=x            |    5 ++++
 16 files changed, 152 insertions(+), 23 deletions(-)
 create mode 100644 tcp-connect.c

commit 66022b317027e6195b89f7ac596a954585af6b87
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sun Jan 25 04:23:17 2004 +0000

    Moved the program and filter_usage strings into their own source file to
    complete the spac build requirements.

 http-xlate-filter.c      |    2 --
 imap-relay-filter.c      |    3 ---
 log-filter.c             |    3 ---
 pop3-relay-filter.c      |    3 ---
 ucspi-proxy-http-xlate.c |    4 ++++
 ucspi-proxy-imap-relay.c |    4 ++++
 ucspi-proxy-log.c        |    4 ++++
 ucspi-proxy-pop3-relay.c |    4 ++++
 8 files changed, 16 insertions(+), 11 deletions(-)
 create mode 100644 ucspi-proxy-http-xlate.c
 create mode 100644 ucspi-proxy-imap-relay.c
 create mode 100644 ucspi-proxy-log.c
 create mode 100644 ucspi-proxy-pop3-relay.c

commit 53d4b45468fc5cb5604271dacf01f631e5fc53db
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jan 24 18:13:02 2004 +0000

    Added necessary install script.

 insthier.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)
 create mode 100644 insthier.c

commit 204848ab3695b92b9d8965a7c84f70d153613587
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jan 24 18:12:38 2004 +0000

    Switched to spac to build the Makefile automatically.

 Makefile                 |   71 ----------------------------------------------
 ucspi-proxy-http-xlate=x |    2 +
 ucspi-proxy-imap-relay=x |    4 ++
 ucspi-proxy-log=x        |    2 +
 ucspi-proxy-pop3-relay=x |    4 ++
 ucspi-proxy=x            |    1 +
 6 files changed, 13 insertions(+), 71 deletions(-)
 delete mode 100644 Makefile
 create mode 100644 ucspi-proxy-http-xlate=x
 create mode 100644 ucspi-proxy-imap-relay=x
 create mode 100644 ucspi-proxy-log=x
 create mode 100644 ucspi-proxy-pop3-relay=x
 create mode 100644 ucspi-proxy=x

commit e3f3d8ab7c7d70a0d86daf4cf24c5bcd9bf515f0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Sat Jan 24 17:47:26 2004 +0000

    Renamed filter_name to program to match bglibs usage, and changed type
    of filter_usage to const char[].

 ftp-filter.c        |    6 +++---
 http-xlate-filter.c |    3 +--
 imap-relay-filter.c |    4 ++--
 log-filter.c        |    4 ++--
 null-filter.c       |    4 ++--
 pop3-relay-filter.c |    4 ++--
 relay-filter.c      |    8 ++++----
 ucspi-proxy.c       |    4 ++--
 ucspi-proxy.h       |   24 ++++++++++++------------
 9 files changed, 30 insertions(+), 31 deletions(-)

commit ee20060d6ec4384e99f702531bec289d1a5f4586
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jan 21 23:40:29 2004 +0000

    Allow the server FD numbers to be overridden.

 ucspi-proxy.c |    4 ++++
 ucspi-proxy.h |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 9d9d3a89e1cb7fe87b907137a83dcafa34e6a890
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Nov 27 22:50:40 2003 +0000

    *** empty log message ***

 TODO |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2b9410e6a3140eb7d8d95e9606f59be5364e73a5
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 15 19:37:32 2001 +0000

    *** empty log message ***

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ea6e50d08c669bd854e208b8923fe6927c1f0bbc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 15 19:37:29 2001 +0000

    Updated the list URL.

 makedist.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b0f0d661089b4b9d2f3f5218360b26b1e8fbbda
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Mar 15 19:32:40 2001 +0000

    Write the PID with all output messages.

 ucspi-proxy.c |    7 +++----
 ucspi-proxy.h |   13 ++++++++-----
 2 files changed, 11 insertions(+), 9 deletions(-)

commit 634e7bf1c16778e3c4000855223fe08013bd51de
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Dec 20 20:39:13 2000 +0000

    *** empty log message ***

 Makefile    |   14 +++++++-------
 README      |    4 ++--
 makedist.in |    2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 5e97f856ee448a6cdbd878c07f5652db24c61353
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Dec 20 20:37:24 2000 +0000

    Parse and display the username on login.

 Makefile            |   13 ++++++---
 NEWS                |    5 +++
 base64.c            |   69 +++++++++++++++++++++++++++++++++++++++++++++++++++
 imap-relay-filter.c |   44 ++++++++++++++++++++++++++------
 pop3-relay-filter.c |   38 +++++++++++++++++++++++-----
 relay-filter.c      |   11 ++++++--
 6 files changed, 156 insertions(+), 24 deletions(-)
 create mode 100644 base64.c

commit 45ce3b5db3fdf4b8276fb08f80154b01f1d3b9c8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:32:46 2000 +0000

    *** empty log message ***

 makedist.in |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 338ca3602e385123041b3e35cd6eebe172ccb50f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:31:57 2000 +0000

    Updated date.

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 22af7a3b499f873dec4bba14c05ab2b1bbb4a254
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:31:21 2000 +0000

    Added man page for ucspi-proxy-http-xlate.

 Makefile                 |    2 +-
 ucspi-proxy-http-xlate.1 |   26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletions(-)
 create mode 100644 ucspi-proxy-http-xlate.1

commit a350de8704454590ee76ba21cfc816d2444edab8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:30:12 2000 +0000

    Added note about ucspi-http-xlate-proxy.

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f3aed109321c291bf2070f8b274d4266586ba5ca
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:20:05 2000 +0000

    Added a translating HTTP filter.

 Makefile            |    7 +-
 http-xlate-filter.c |  339 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 345 insertions(+), 1 deletions(-)
 create mode 100644 http-xlate-filter.c

commit 4082baefb267beff9b77f3b8992836e81930645d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Dec 14 22:19:45 2000 +0000

    Renamed the DEBUG* macros to MSG, and added some new DEBUG macros.

 ucspi-proxy.c |   16 ++++++----------
 ucspi-proxy.h |   18 ++++++++++++++++++
 2 files changed, 24 insertions(+), 10 deletions(-)

commit cb931c57c395e1ba8301c20bf5582ca01214ad46
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 13 04:42:20 2000 +0000

    Fixed a bug in write_client that treated a short write as a failure.

 Makefile      |    2 +-
 NEWS          |    5 +++++
 README        |    4 ++--
 ucspi-proxy.c |   16 +++++++++++++---
 4 files changed, 21 insertions(+), 6 deletions(-)

commit 4371afd97feec7642ae748eaeb76e0d03f7910ab
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 6 16:19:18 2000 +0000

    *** empty log message ***

 Makefile |    2 +-
 README   |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 850cc3c47b6b5e750ebcbd51dfffa71647f0fcbd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 6 16:05:48 2000 +0000

    Made the relay rerun delay and command into command-line arguments.

 NEWS                |    9 +++++++++
 imap-relay-filter.c |    8 +++-----
 imap-relay-proxy    |    3 ++-
 pop3-relay-filter.c |    6 ++----
 pop3-relay-proxy    |    3 ++-
 relay-filter.c      |   23 +++++++++++++++++------
 6 files changed, 35 insertions(+), 17 deletions(-)

commit e1792ece6ddbbd5bd4129f1719c96b76e9ef0098
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Oct 6 16:04:37 2000 +0000

    Fixed a couple of bugs.

 Makefile |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 45a3b8ea11695569e30ba999c7e4f652897bf0dd
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 2 18:59:05 2000 +0000

    *** empty log message ***

 Makefile |    2 +-
 NEWS     |    8 ++++++++
 README   |    4 ++--
 3 files changed, 11 insertions(+), 3 deletions(-)

commit 998305970857a35fb76659bf352baac9576ec19e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 2 18:54:56 2000 +0000

    Added support for POP3 CRAM-MD5 authentication.

 pop3-relay-filter.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

commit 4ab255a6341acff94c7a543cb2c61afaccc9c99b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Oct 2 18:41:24 2000 +0000

    Ignore several harmless signals that could otherwise crash the proxy.

 ucspi-proxy.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 673141ea6ffce5ab4698ed9ededdd31946f83fce
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Sep 21 20:05:49 2000 +0000

    *** empty log message ***

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a501d775811427e9acb69f927fd363165bdbc882
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Sep 20 19:38:17 2000 +0000

    Compacted the options to tcpserver and tcpclient.

 ftp-proxy        |    4 ++--
 imap-relay-proxy |    4 ++--
 log-proxy        |    4 ++--
 pop3-relay-proxy |    4 ++--
 tcp-proxy        |    4 ++--
 5 files changed, 10 insertions(+), 10 deletions(-)

commit b159a4988a74d50a58d7b0ff6b56e2e0d78f7218
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 17:23:39 2000 +0000

    Fixed bug in handling the AUTHENTICATE command sequence.

 imap-relay-filter.c |   48 +++++++++++++++++++++++++-----------------------
 1 files changed, 25 insertions(+), 23 deletions(-)

commit a5121de74e0d6baa5ed6013246895a216a9e0bb4
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 17:23:18 2000 +0000

    Added logging via relay-filter.c

 pop3-relay-filter.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 7a21f48037e78da3d7430ed3fdd3e9b563052053
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 17:23:03 2000 +0000

    Added logging.

 relay-filter.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 066b1e2a6e75e59bcde9f90545ab99c28cf7c47c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:15:34 2000 +0000

    *** empty log message ***

 Makefile    |    3 ++-
 NEWS        |    2 +-
 README      |    2 +-
 makedist.in |   15 ++++++---------
 4 files changed, 10 insertions(+), 12 deletions(-)

commit e54db66e868fdec7e7703e081aee138283c65a09
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:11:57 2000 +0000

    Renamed the duplicate "true".

 relay-filter.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 300fd340bac5a56127759d54d5e35056d0fdbc79
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:07:49 2000 +0000

    Moved the various paths and time constants to the start of the file.

 relay-filter.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 8e398948afa177ec21e1336e4f3a7ccca1581711
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:08:44 2000 +0000

    Documentation updates.

 NEWS   |    4 ++--
 README |    7 +++++--
 TODO   |    4 ++++
 3 files changed, 11 insertions(+), 4 deletions(-)

commit e67334bd21a990fad893a82b6eb96994e2ba0000
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:00:56 2000 +0000

    Renamed accept_ip to accept_client for relay control.

 imap-relay-filter.c |    6 +++---
 pop3-relay-filter.c |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit e537873bf6e85e3b7d100ea0de9ca029e4a25976
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 16:00:05 2000 +0000

    Added code to re-run relay-ctrl-allow every 5 minutes.

 relay-filter.c |   34 ++++++++++++++++++++++++----------
 1 files changed, 24 insertions(+), 10 deletions(-)

commit bab13353d914d1d28713bbeae88362858fad714a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Tue Sep 19 15:59:42 2000 +0000

    Fixed problem with handling signals during select.

 ucspi-proxy.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit fc14f19f92cac4d99accaec8293988b89f414658
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 18 23:28:06 2000 +0000

    Completed POP3 relay, started IMAP relay filters.

 Makefile            |   25 ++++++++++++----
 imap-relay-filter.c |   82 +++++++++++++++++++++++++++++++++++++++++++++++++++
 pop3-relay-filter.c |   29 ++++++------------
 relay-filter.c      |   30 ++++++++++++++++++
 4 files changed, 141 insertions(+), 25 deletions(-)
 create mode 100644 imap-relay-filter.c
 create mode 100644 relay-filter.c

commit 92760c39ad82d20e37cb87354b22fdf14e2dc74c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 18 23:27:32 2000 +0000

    Fixed usage to add a prefix to executing the ucspi-proxy-* programs.
    Added scripts for imap-relay and pop3-relay.

 ftp-proxy        |   17 ++++++++---------
 imap-relay-proxy |   14 ++++++++++++++
 log-proxy        |    3 ++-
 pop3-relay-proxy |   14 ++++++++++++++
 tcp-proxy        |    3 ++-
 5 files changed, 40 insertions(+), 11 deletions(-)
 create mode 100755 imap-relay-proxy
 create mode 100755 pop3-relay-proxy

commit 0937cade78b6b6623acfa52f983a7dc907f08a4e
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 18 23:25:34 2000 +0000

    Added proxy usage string to filters.

 ftp-filter.c  |    1 +
 log-filter.c  |    1 +
 null-filter.c |    1 +
 ucspi-proxy.c |    2 +-
 ucspi-proxy.h |    1 +
 5 files changed, 5 insertions(+), 1 deletions(-)

commit 5944de5deea8beb9c763db72ede0a274e90da581
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Mon Sep 18 19:58:04 2000 +0000

    Completed basic POP3 relay implementation.

 Makefile            |   13 ++++++++++---
 pop3-relay-filter.c |   16 +++++++++++++---
 2 files changed, 23 insertions(+), 6 deletions(-)

commit 9e5e1bf9d45473942261bdf658b5228db202c4c9
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 15 22:46:38 2000 +0000

    *** empty log message ***

 NEWS          |    4 ++--
 makedist.in   |    4 ++--
 ucspi-proxy.h |   14 +++++++++++---
 3 files changed, 15 insertions(+), 7 deletions(-)

commit f82534e533c40abe5a0d520c56baa930b51cd350
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 15 22:46:32 2000 +0000

    Started a SMTP-after-POP3 relaying filter.

 log-filter.c => pop3-relay-filter.c |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)
 copy log-filter.c => pop3-relay-filter.c (59%)

commit aac771f313ea181b2c3ad8e497490093fe8228f1
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 15 22:46:15 2000 +0000

    Continuing progress on this filter.

 ftp-filter.c |  195 +++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 112 insertions(+), 83 deletions(-)

commit 324686516c549eda5564b6b989c09f93b968d04f
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Sep 15 22:45:34 2000 +0000

    Overhauled the I/O system.

 log-filter.c  |   30 ++++++++------
 null-filter.c |   10 +----
 ucspi-proxy.c |  115 ++++++++++++++++++++++++++++++++++++++++++++++-----------
 3 files changed, 112 insertions(+), 43 deletions(-)

commit 6aaa71ee2f751c44e3d2097b5fe9ac1aa424d67d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 7 19:30:15 2000 +0000

    Added filter_name global to filter modules, used in all output.

 ftp-filter.c  |    3 +++
 log-filter.c  |    2 ++
 null-filter.c |    2 ++
 ucspi-proxy.c |   12 +++++-------
 ucspi-proxy.h |   12 ++++++++----
 5 files changed, 20 insertions(+), 11 deletions(-)

commit 65f7c994bbf8a9366c673565042c9cd4b5dd216c
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 7 17:13:35 2000 +0000

    Further work on FTP proxy code.

 NEWS         |    3 +
 TODO         |    3 +-
 ftp-filter.c |  194 +++++++++++++++++++++++++++++++++++++++++++---------------
 3 files changed, 149 insertions(+), 51 deletions(-)

commit 5e16a676fefd96e7dffb003bd0f0f234d21fbbd3
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Fri Jul 7 17:13:02 2000 +0000

    Turned multiply-defined true/false constants into macros.

 ucspi-proxy.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 87508fc69664d7200b67b843b86f53c39bde9067
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 6 21:48:54 2000 +0000

    Renamed ucspi-proxy-null back to just ucspi-proxy.

 Makefile  |    4 ++--
 tcp-proxy |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 7aae6f815578fd9f1e39427c311a428d0118a73d
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 6 21:47:59 2000 +0000

    Renamed plain ucspi-proxy to ucspi-proxy-null
    Started implementation of FTP proxy.

 Makefile     |    6 ++--
 NEWS         |    4 ++-
 ftp-filter.c |   85 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 tcp-proxy    |    2 +-
 4 files changed, 91 insertions(+), 6 deletions(-)

commit b3d0ffd4e6a44e1efd0d0469c095fbb139b64f55
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 6 21:43:22 2000 +0000

    Added new logging proxy.

 Makefile               |    9 ++++++---
 tcp-proxy => ftp-proxy |    2 +-
 log-filter.c           |   38 ++++++++++++++++++++++++++++++++++++++
 tcp-proxy => log-proxy |    2 +-
 4 files changed, 46 insertions(+), 5 deletions(-)
 copy tcp-proxy => ftp-proxy (95%)
 create mode 100644 log-filter.c
 copy tcp-proxy => log-proxy (95%)
 mode change 100755 => 100644

commit b3f1a4e91191118cc75bdcf2fdb2caa790da2f58
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jul 6 21:23:58 2000 +0000

    Add an extra (unused) NUL byte to the data buffer for string searches in
    filter.  Add definition of BUFSIZE to ucspi-proxy.h.

 ucspi-proxy.c |    4 ++--
 ucspi-proxy.h |    2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 73ec8bf356a86311e6b00c46398e2c04f52e1429
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 28 22:29:33 2000 +0000

    *** empty log message ***

 NEWS        |    5 +++++
 makedist.in |    3 +--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit bceb0fa2df0b41bceff01ee6785e5fecdd05afd8
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 28 22:29:02 2000 +0000

    Added build rules for FTP proxy.

 Makefile |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 4ee063756a7610cb4783f47bb090b5e8f079b3fc
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 28 22:27:46 2000 +0000

    Fixed missing options.

 tcp-proxy |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bcfd30558aa8bda9f8a8fdb07762e132171e8283
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 28 22:27:19 2000 +0000

    Fixed typo.

 tcp-proxy |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 716f642bd93aafd119d536f1a28a77ace5622dac
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 20:32:30 2000 +0000

    *** empty log message ***

 makedist.in |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5911bf488c8384e70088e5785b26e3a47a808f7a
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:35:35 2000 +0000

    *** empty log message ***

 Makefile    |    4 ++--
 makedist.in |    3 +++
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 7457af6ba26f6e7ad145432c19d838deef648967
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:33:34 2000 +0000

    Added RPM spec.

 spec |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100644 spec

commit 3bc517ff68dd9fc617b01a7bd2d5e4f28484a768
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:31:20 2000 +0000

    *** empty log message ***

 Makefile    |    3 +--
 makedist.in |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit e5fc0dddac5ac8c14de0fcd1f0295957a32b95be
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:29:03 2000 +0000

    Finalized the proxy module API and build model.

 Makefile      |    6 +++---
 filter.h      |   14 --------------
 ftp-filter.c  |   16 ++++------------
 null-filter.c |   20 ++++++++++++++++++++
 ucspi-proxy.c |   15 +++++++++------
 ucspi-proxy.h |   10 ++++++++++
 6 files changed, 46 insertions(+), 35 deletions(-)
 delete mode 100644 filter.h
 create mode 100644 null-filter.c
 create mode 100644 ucspi-proxy.h

commit 9054ffa2f3d781ea159c7b0f961ad1985e49c0c6
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:10:39 2000 +0000

    Prepared package for distribution.

 COPYING     |  340 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile    |   35 +++++-
 README      |   25 +++++
 TODO        |    2 +
 makedist.in |   43 ++++++++
 5 files changed, 440 insertions(+), 5 deletions(-)
 create mode 100644 COPYING
 create mode 100644 NEWS
 create mode 100644 README
 create mode 100644 TODO
 create mode 100644 makedist.in

commit 02c33cc61d4b2671f1bf94c5f3d004e254fbb5c0
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Wed Jun 21 19:00:53 2000 +0000

    Use "envuidgid", and fix a documentation typo.

 tcp-proxy |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit fd50dff5b9eb0dc2db53b107e87a450239207019
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 15 23:06:25 2000 +0000

    Added a proxy filter framework.

 filter.h     |   14 ++++++++++++++
 ftp-filter.c |   26 ++++++++++++++++++++++++++
 2 files changed, 40 insertions(+), 0 deletions(-)
 create mode 100644 filter.h
 create mode 100644 ftp-filter.c

commit d13b4d2fee73f6486c58435168e6d3053277031b
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 15 22:51:34 2000 +0000

    Added man page, parse options.

 ucspi-proxy.1 |   24 ++++++++++++++++++++++++
 ucspi-proxy.c |   56 ++++++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 72 insertions(+), 8 deletions(-)
 create mode 100644 ucspi-proxy.1

commit af78b15672091b4c62f924b7cf9637ed9c1500fe
Author: Bruce Guenter <bruce@untroubled.org>
Date:   Thu Jun 15 05:57:01 2000 +0000

    Initial revision

 Makefile      |   12 ++++++++++++
 tcp-proxy     |   16 ++++++++++++++++
 ucspi-proxy.c |   45 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+), 0 deletions(-)
 create mode 100644 Makefile
 create mode 100755 tcp-proxy
 create mode 100644 ucspi-proxy.c
